/** 单证 -- 装箱单-成衣 **/
import { getAction,deleteAction,postAction} from '@/api/manage'
//分页查询
const spltList = params => getAction('/splt/syPackingListTailoring/list', params)

//参考预装箱单
const orderSpltList = params => getAction('/splt/syPackingListTailoring/getSpaplData', params)

//按照id删除
const deleteSpltList = params => deleteAction('/splt/syPackingListTailoring/delete', params)

//批量删除
const batchDelete = params => deleteAction('/splt/syPackingListTailoring/deleteBatch', params)

//根据预装箱单id获取数据
const orderSpltListId = params => getAction('/splt/syPackingListTailoring/querySpaplId', params)

//编辑
const editSpltList = params => postAction('/splt/syPackingListTailoring/edit', params)

//新增
const addSpltList = params => postAction('/splt/syPackingListTailoring/add', params)

//装箱单成衣-通过id查询
const spltListId = params => getAction('/splt/syPackingListTailoring/queryById', params)

//提交
const SubmitList = params => getAction('/splt/syPackingListTailoring/submit', params)

//取消提交
const cancelSubmitList = params => getAction('/splt/syPackingListTailoring/cancelSubmit', params)

//批量提交
const bitchSubmitList = params => getAction('/splt/syPackingListTailoring/submitBatch', params)

//批量取消提交
const bitchCancelSubmitList = params => getAction('/splt/syPackingListTailoring/cancelSubmitBatch', params)




export {spltList,orderSpltList,deleteSpltList,batchDelete,orderSpltListId,editSpltList,addSpltList,spltListId,SubmitList,cancelSubmitList,bitchSubmitList,bitchCancelSubmitList}

